Trouble installing libzmq3-dev on GitHub Actions Ubuntu runners

I am having trouble installing libzmq3-dev on Ubuntu 18.04 on GitHub Actions. I have uploaded a reproducible example at GitHub - wlandau/libzmq-reprex and asked for help at Trouble installing libzmq3-dev on GitHub Actions Ubuntu runners · Issue #4184 · zeromq/libzmq · GitHub and zeromq - Trouble installing libzmq3-dev on GitHub Actions Ubuntu runners - Stack Overflow. Installation seems to work on Ubuntu 20.04, but I cannot use 20.04 because GitHub - r-hub/sysreqs: R package to install system requirements does not support it yet.

Ultimately, my goal is to fix the setup for the GHA workflows at GitHub - ropensci/targets: Function-oriented Make-like declarative workflows for R.